Apply by doing:
	cd /usr/src
	patch -p0 < 002_mpi.patch

Then build and install a new kernel.

Index: sys/dev/ic/mpi.c
===================================================================
RCS file: /cvs/src/sys/dev/ic/mpi.c,v
retrieving revision 1.134
retrieving revision 1.134.2.1
diff -u -p -r1.134 -r1.134.2.1
--- sys/dev/ic/mpi.c	11 Jan 2010 03:51:57 -0000	1.134
+++ sys/dev/ic/mpi.c	4 Apr 2010 11:38:29 -0000	1.134.2.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: mpi.c,v 1.134 2010/01/11 03:51:57 dlg Exp $ */
+/*	$OpenBSD: mpi.c,v 1.134.2.1 2010/04/04 11:38:29 dlg Exp $ */
 
 /*
  * Copyright (c) 2005, 2006, 2009 David Gwynne <dlg@openbsd.org>
@@ -2725,7 +2725,7 @@ mpi_bio_get_pg0_raid(struct mpi_softc *s
 	/* replace current buffer with new one */
 	len = sizeof *rpg0 + sc->sc_vol_page->max_physdisks *
 	    sizeof(struct mpi_cfg_raid_vol_pg0_physdisk);
-	rpg0 = malloc(len, M_TEMP, M_WAITOK | M_CANFAIL);
+	rpg0 = malloc(len, M_DEVBUF, M_WAITOK | M_CANFAIL);
 	if (rpg0 == NULL) {
 		printf("%s: can't get memory for RAID page 0, "
 		    "bio disabled\n", DEVNAME(sc));
